// Qsys_altera_merlin_burst_adapter_altera_avalon_st_pipeline_stage_1940_7imezsy.v

// Generated using ACDS version 24.3 212

`timescale 1 ps / 1 ps
module Qsys_altera_merlin_burst_adapter_altera_avalon_st_pipeline_stage_1940_7imezsy #(
		parameter SYMBOLS_PER_BEAT = 1,
		parameter BITS_PER_SYMBOL  = 183,
		parameter USE_PACKETS      = 1,
		parameter USE_EMPTY        = 0,
		parameter EMPTY_WIDTH      = 0,
		parameter CHANNEL_WIDTH    = 7,
		parameter PACKET_WIDTH     = 2,
		parameter ERROR_WIDTH      = 0,
		parameter PIPELINE_READY   = 1,
		parameter SYNC_RESET       = 1
	) (
		input  wire         clk,               //       cr0.clk,           Clock input
		input  wire         reset,             // cr0_reset.reset,         Reset input
		output wire         in_ready,          //     sink0.ready,         Ready port of Avalon Streaming Sink Interface; indicates when sink interface is ready to receive data
		input  wire         in_valid,          //          .valid,         Valid data port of Avalon Streaming Sink Interface; high when input data is valid
		input  wire         in_startofpacket,  //          .startofpacket, Start of packet port of Avalon Streaming Sink Interface;Indicates start of incoming packet
		input  wire         in_endofpacket,    //          .endofpacket,   End of packet port of Avalon Streaming Sink Interface; Indicates end of incoming packet
		input  wire [182:0] in_data,           //          .data,          Input Data port of Avalon Streaming Sink Interface
		input  wire [6:0]   in_channel,        //          .channel,       Channel input port of Avalon Streaming Sink Interface
		input  wire         out_ready,         //   source0.ready,         Ready port of Avalon Streaming Source Interface; indicates to source that data can be sent
		output wire         out_valid,         //          .valid,         Valid data port of Avalon Streaming Source Interface; high when output data is valid
		output wire         out_startofpacket, //          .startofpacket, Start of packet port of Avalon Streaming Source Interface; Indicates start of outgoing packet
		output wire         out_endofpacket,   //          .endofpacket,   End of packet port of Avalon Streaming Source Interface; Indicates end of outgoing packet
		output wire [182:0] out_data,          //          .data,          Output Data port of Avalon Streaming Source Interface
		output wire [6:0]   out_channel        //          .channel,       Channel output port of Avalon Streaming Source Interface
	);

	Qsys_altera_avalon_st_pipeline_stage_1930_oiupeiq #(
		.SYMBOLS_PER_BEAT (SYMBOLS_PER_BEAT),
		.BITS_PER_SYMBOL  (BITS_PER_SYMBOL),
		.USE_PACKETS      (USE_PACKETS),
		.USE_EMPTY        (USE_EMPTY),
		.EMPTY_WIDTH      (EMPTY_WIDTH),
		.CHANNEL_WIDTH    (CHANNEL_WIDTH),
		.PACKET_WIDTH     (PACKET_WIDTH),
		.ERROR_WIDTH      (ERROR_WIDTH),
		.PIPELINE_READY   (PIPELINE_READY),
		.SYNC_RESET       (SYNC_RESET)
	) my_altera_avalon_st_pipeline_stage (
		.clk               (clk),               //   input,    width = 1,       cr0.clk
		.reset             (reset),             //   input,    width = 1, cr0_reset.reset
		.in_ready          (in_ready),          //  output,    width = 1,     sink0.ready
		.in_valid          (in_valid),          //   input,    width = 1,          .valid
		.in_startofpacket  (in_startofpacket),  //   input,    width = 1,          .startofpacket
		.in_endofpacket    (in_endofpacket),    //   input,    width = 1,          .endofpacket
		.in_data           (in_data),           //   input,  width = 183,          .data
		.in_channel        (in_channel),        //   input,    width = 7,          .channel
		.out_ready         (out_ready),         //   input,    width = 1,   source0.ready
		.out_valid         (out_valid),         //  output,    width = 1,          .valid
		.out_startofpacket (out_startofpacket), //  output,    width = 1,          .startofpacket
		.out_endofpacket   (out_endofpacket),   //  output,    width = 1,          .endofpacket
		.out_data          (out_data),          //  output,  width = 183,          .data
		.out_channel       (out_channel),       //  output,    width = 7,          .channel
		.in_empty          (1'b0),              // (terminated),                         
		.out_empty         (),                  // (terminated),                         
		.out_error         (),                  // (terminated),                         
		.in_error          (1'b0)               // (terminated),                         
	);

endmodule
