	component xcvr_x4_intel_directphy_gts_0 is
		port (
			i_rx_cdr_refclk_p        : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- clk
			i_tx_pll_refclk_p        : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- clk
			i_pma_cu_clk             : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- clk
			i_system_pll_clk         : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- clk
			i_system_pll_lock        : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- system_pll_lock
			i_tx_reset               : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- tx_reset
			i_rx_reset               : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- rx_reset
			o_tx_reset_ack           : out std_logic_vector(0 downto 0);                      -- tx_reset_ack
			o_rx_reset_ack           : out std_logic_vector(0 downto 0);                      -- rx_reset_ack
			o_tx_ready               : out std_logic_vector(0 downto 0);                      -- tx_ready
			o_rx_ready               : out std_logic_vector(0 downto 0);                      -- rx_ready
			i_tx_coreclkin_xcvr0     : in  std_logic                      := 'X';             -- clk
			i_tx_coreclkin_xcvr1     : in  std_logic                      := 'X';             -- clk
			i_tx_coreclkin_xcvr2     : in  std_logic                      := 'X';             -- clk
			i_tx_coreclkin_xcvr3     : in  std_logic                      := 'X';             -- clk
			i_rx_coreclkin_xcvr0     : in  std_logic                      := 'X';             -- clk
			i_rx_coreclkin_xcvr1     : in  std_logic                      := 'X';             -- clk
			i_rx_coreclkin_xcvr2     : in  std_logic                      := 'X';             -- clk
			i_rx_coreclkin_xcvr3     : in  std_logic                      := 'X';             -- clk
			o_tx_clkout_xcvr0        : out std_logic;                                         -- clk
			o_tx_clkout_xcvr1        : out std_logic;                                         -- clk
			o_tx_clkout_xcvr2        : out std_logic;                                         -- clk
			o_tx_clkout_xcvr3        : out std_logic;                                         -- clk
			o_rx_clkout_xcvr0        : out std_logic;                                         -- clk
			o_rx_clkout_xcvr1        : out std_logic;                                         -- clk
			o_rx_clkout_xcvr2        : out std_logic;                                         -- clk
			o_rx_clkout_xcvr3        : out std_logic;                                         -- clk
			i_src_rs_grant           : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- src_rs_grant
			o_src_rs_req             : out std_logic_vector(3 downto 0);                      -- src_rs_req
			o_tx_serial_data         : out std_logic_vector(3 downto 0);                      -- o_tx_serial_data
			o_tx_serial_data_n       : out std_logic_vector(3 downto 0);                      -- o_tx_serial_data_n
			i_rx_serial_data         : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- i_rx_serial_data
			i_rx_serial_data_n       : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- i_rx_serial_data_n
			o_tx_pll_locked          : out std_logic_vector(3 downto 0);                      -- o_tx_pll_locked
			o_rx_is_lockedtodata     : out std_logic_vector(3 downto 0);                      -- o_rx_is_lockedtodata
			o_rx_is_lockedtoref      : out std_logic_vector(3 downto 0);                      -- o_rx_is_lockedtoref
			o_rx_block_lock          : out std_logic_vector(3 downto 0);                      -- o_rx_block_lock
			o_rx_hi_ber              : out std_logic_vector(3 downto 0);                      -- o_rx_hi_ber
			o_rx_pcs_fully_aligned   : out std_logic_vector(3 downto 0);                      -- o_rx_pcs_fully_aligned
			o_refclk2core            : out std_logic_vector(0 downto 0);                      -- o_refclk2core
			i_tx_parallel_data       : in  std_logic_vector(319 downto 0) := (others => 'X'); -- i_tx_parallel_data
			o_rx_parallel_data       : out std_logic_vector(319 downto 0);                    -- o_rx_parallel_data
			i_reconfig_clk           : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- clk
			i_reconfig_reset         : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- reset
			i_reconfig_write         : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- write
			i_reconfig_read          : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- read
			i_reconfig_address       : in  std_logic_vector(19 downto 0)  := (others => 'X'); -- address
			i_reconfig_byteenable    : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- byteenable
			i_reconfig_writedata     : in  std_logic_vector(31 downto 0)  := (others => 'X'); -- writedata
			o_reconfig_readdata      : out std_logic_vector(31 downto 0);                     -- readdata
			o_reconfig_waitrequest   : out std_logic_vector(0 downto 0);                      -- waitrequest
			o_reconfig_readdatavalid : out std_logic_vector(0 downto 0)                       -- readdatavalid
		);
	end component xcvr_x4_intel_directphy_gts_0;

	u0 : component xcvr_x4_intel_directphy_gts_0
		port map (
			i_rx_cdr_refclk_p        => CONNECTED_TO_i_rx_cdr_refclk_p,        --      i_rx_cdr_refclk_p.clk
			i_tx_pll_refclk_p        => CONNECTED_TO_i_tx_pll_refclk_p,        --      i_tx_pll_refclk_p.clk
			i_pma_cu_clk             => CONNECTED_TO_i_pma_cu_clk,             --           i_pma_cu_clk.clk
			i_system_pll_clk         => CONNECTED_TO_i_system_pll_clk,         --       i_system_pll_clk.clk
			i_system_pll_lock        => CONNECTED_TO_i_system_pll_lock,        --      i_system_pll_lock.system_pll_lock
			i_tx_reset               => CONNECTED_TO_i_tx_reset,               --             i_tx_reset.tx_reset
			i_rx_reset               => CONNECTED_TO_i_rx_reset,               --             i_rx_reset.rx_reset
			o_tx_reset_ack           => CONNECTED_TO_o_tx_reset_ack,           --         o_tx_reset_ack.tx_reset_ack
			o_rx_reset_ack           => CONNECTED_TO_o_rx_reset_ack,           --         o_rx_reset_ack.rx_reset_ack
			o_tx_ready               => CONNECTED_TO_o_tx_ready,               --             o_tx_ready.tx_ready
			o_rx_ready               => CONNECTED_TO_o_rx_ready,               --             o_rx_ready.rx_ready
			i_tx_coreclkin_xcvr0     => CONNECTED_TO_i_tx_coreclkin_xcvr0,     --   i_tx_coreclkin_xcvr0.clk
			i_tx_coreclkin_xcvr1     => CONNECTED_TO_i_tx_coreclkin_xcvr1,     --   i_tx_coreclkin_xcvr1.clk
			i_tx_coreclkin_xcvr2     => CONNECTED_TO_i_tx_coreclkin_xcvr2,     --   i_tx_coreclkin_xcvr2.clk
			i_tx_coreclkin_xcvr3     => CONNECTED_TO_i_tx_coreclkin_xcvr3,     --   i_tx_coreclkin_xcvr3.clk
			i_rx_coreclkin_xcvr0     => CONNECTED_TO_i_rx_coreclkin_xcvr0,     --   i_rx_coreclkin_xcvr0.clk
			i_rx_coreclkin_xcvr1     => CONNECTED_TO_i_rx_coreclkin_xcvr1,     --   i_rx_coreclkin_xcvr1.clk
			i_rx_coreclkin_xcvr2     => CONNECTED_TO_i_rx_coreclkin_xcvr2,     --   i_rx_coreclkin_xcvr2.clk
			i_rx_coreclkin_xcvr3     => CONNECTED_TO_i_rx_coreclkin_xcvr3,     --   i_rx_coreclkin_xcvr3.clk
			o_tx_clkout_xcvr0        => CONNECTED_TO_o_tx_clkout_xcvr0,        --      o_tx_clkout_xcvr0.clk
			o_tx_clkout_xcvr1        => CONNECTED_TO_o_tx_clkout_xcvr1,        --      o_tx_clkout_xcvr1.clk
			o_tx_clkout_xcvr2        => CONNECTED_TO_o_tx_clkout_xcvr2,        --      o_tx_clkout_xcvr2.clk
			o_tx_clkout_xcvr3        => CONNECTED_TO_o_tx_clkout_xcvr3,        --      o_tx_clkout_xcvr3.clk
			o_rx_clkout_xcvr0        => CONNECTED_TO_o_rx_clkout_xcvr0,        --      o_rx_clkout_xcvr0.clk
			o_rx_clkout_xcvr1        => CONNECTED_TO_o_rx_clkout_xcvr1,        --      o_rx_clkout_xcvr1.clk
			o_rx_clkout_xcvr2        => CONNECTED_TO_o_rx_clkout_xcvr2,        --      o_rx_clkout_xcvr2.clk
			o_rx_clkout_xcvr3        => CONNECTED_TO_o_rx_clkout_xcvr3,        --      o_rx_clkout_xcvr3.clk
			i_src_rs_grant           => CONNECTED_TO_i_src_rs_grant,           --         i_src_rs_grant.src_rs_grant
			o_src_rs_req             => CONNECTED_TO_o_src_rs_req,             --           o_src_rs_req.src_rs_req
			o_tx_serial_data         => CONNECTED_TO_o_tx_serial_data,         --       o_tx_serial_data.o_tx_serial_data
			o_tx_serial_data_n       => CONNECTED_TO_o_tx_serial_data_n,       --     o_tx_serial_data_n.o_tx_serial_data_n
			i_rx_serial_data         => CONNECTED_TO_i_rx_serial_data,         --       i_rx_serial_data.i_rx_serial_data
			i_rx_serial_data_n       => CONNECTED_TO_i_rx_serial_data_n,       --     i_rx_serial_data_n.i_rx_serial_data_n
			o_tx_pll_locked          => CONNECTED_TO_o_tx_pll_locked,          --        o_tx_pll_locked.o_tx_pll_locked
			o_rx_is_lockedtodata     => CONNECTED_TO_o_rx_is_lockedtodata,     --   o_rx_is_lockedtodata.o_rx_is_lockedtodata
			o_rx_is_lockedtoref      => CONNECTED_TO_o_rx_is_lockedtoref,      --    o_rx_is_lockedtoref.o_rx_is_lockedtoref
			o_rx_block_lock          => CONNECTED_TO_o_rx_block_lock,          --        o_rx_block_lock.o_rx_block_lock
			o_rx_hi_ber              => CONNECTED_TO_o_rx_hi_ber,              --            o_rx_hi_ber.o_rx_hi_ber
			o_rx_pcs_fully_aligned   => CONNECTED_TO_o_rx_pcs_fully_aligned,   -- o_rx_pcs_fully_aligned.o_rx_pcs_fully_aligned
			o_refclk2core            => CONNECTED_TO_o_refclk2core,            --          o_refclk2core.o_refclk2core
			i_tx_parallel_data       => CONNECTED_TO_i_tx_parallel_data,       --     i_tx_parallel_data.i_tx_parallel_data
			o_rx_parallel_data       => CONNECTED_TO_o_rx_parallel_data,       --     o_rx_parallel_data.o_rx_parallel_data
			i_reconfig_clk           => CONNECTED_TO_i_reconfig_clk,           --         i_reconfig_clk.clk
			i_reconfig_reset         => CONNECTED_TO_i_reconfig_reset,         --       i_reconfig_reset.reset
			i_reconfig_write         => CONNECTED_TO_i_reconfig_write,         --               reconfig.write
			i_reconfig_read          => CONNECTED_TO_i_reconfig_read,          --                       .read
			i_reconfig_address       => CONNECTED_TO_i_reconfig_address,       --                       .address
			i_reconfig_byteenable    => CONNECTED_TO_i_reconfig_byteenable,    --                       .byteenable
			i_reconfig_writedata     => CONNECTED_TO_i_reconfig_writedata,     --                       .writedata
			o_reconfig_readdata      => CONNECTED_TO_o_reconfig_readdata,      --                       .readdata
			o_reconfig_waitrequest   => CONNECTED_TO_o_reconfig_waitrequest,   --                       .waitrequest
			o_reconfig_readdatavalid => CONNECTED_TO_o_reconfig_readdatavalid  --                       .readdatavalid
		);

