module xcvr_x4 (
		input  wire         clock_bridge_xcvr_syspll_ref_in_clk_clk,                          //         clock_bridge_xcvr_syspll_ref_in_clk.clk
		input  wire [0:0]   intel_directphy_gts_x4_i_pma_cu_clk_clk,                          //         intel_directphy_gts_x4_i_pma_cu_clk.clk
		input  wire [0:0]   intel_directphy_gts_x4_i_system_pll_lock_system_pll_lock,         //    intel_directphy_gts_x4_i_system_pll_lock.system_pll_lock
		input  wire [0:0]   intel_directphy_gts_x4_i_tx_reset_tx_reset,                       //           intel_directphy_gts_x4_i_tx_reset.tx_reset
		input  wire [0:0]   intel_directphy_gts_x4_i_rx_reset_rx_reset,                       //           intel_directphy_gts_x4_i_rx_reset.rx_reset
		output wire [0:0]   intel_directphy_gts_x4_o_tx_reset_ack_tx_reset_ack,               //       intel_directphy_gts_x4_o_tx_reset_ack.tx_reset_ack
		output wire [0:0]   intel_directphy_gts_x4_o_rx_reset_ack_rx_reset_ack,               //       intel_directphy_gts_x4_o_rx_reset_ack.rx_reset_ack
		output wire [0:0]   intel_directphy_gts_x4_o_tx_ready_tx_ready,                       //           intel_directphy_gts_x4_o_tx_ready.tx_ready
		output wire [0:0]   intel_directphy_gts_x4_o_rx_ready_rx_ready,                       //           intel_directphy_gts_x4_o_rx_ready.rx_ready
		input  wire [3:0]   intel_directphy_gts_x4_i_src_rs_grant_src_rs_grant,               //       intel_directphy_gts_x4_i_src_rs_grant.src_rs_grant
		output wire [3:0]   intel_directphy_gts_x4_o_src_rs_req_src_rs_req,                   //         intel_directphy_gts_x4_o_src_rs_req.src_rs_req
		output wire [3:0]   intel_directphy_gts_x4_o_tx_serial_data_o_tx_serial_data,         //     intel_directphy_gts_x4_o_tx_serial_data.o_tx_serial_data
		output wire [3:0]   intel_directphy_gts_x4_o_tx_serial_data_n_o_tx_serial_data_n,     //   intel_directphy_gts_x4_o_tx_serial_data_n.o_tx_serial_data_n
		input  wire [3:0]   intel_directphy_gts_x4_i_rx_serial_data_i_rx_serial_data,         //     intel_directphy_gts_x4_i_rx_serial_data.i_rx_serial_data
		input  wire [3:0]   intel_directphy_gts_x4_i_rx_serial_data_n_i_rx_serial_data_n,     //   intel_directphy_gts_x4_i_rx_serial_data_n.i_rx_serial_data_n
		output wire [3:0]   intel_directphy_gts_x4_o_tx_pll_locked_o_tx_pll_locked,           //      intel_directphy_gts_x4_o_tx_pll_locked.o_tx_pll_locked
		output wire [3:0]   intel_directphy_gts_x4_o_rx_is_lockedtodata_o_rx_is_lockedtodata, // intel_directphy_gts_x4_o_rx_is_lockedtodata.o_rx_is_lockedtodata
		output wire [3:0]   intel_directphy_gts_x4_o_rx_is_lockedtoref_o_rx_is_lockedtoref,   //  intel_directphy_gts_x4_o_rx_is_lockedtoref.o_rx_is_lockedtoref
		output wire [0:0]   intel_directphy_gts_x4_o_refclk2core_o_refclk2core,               //        intel_directphy_gts_x4_o_refclk2core.o_refclk2core
		input  wire [319:0] intel_directphy_gts_x4_i_tx_parallel_data_i_tx_parallel_data,     //   intel_directphy_gts_x4_i_tx_parallel_data.i_tx_parallel_data
		output wire [319:0] intel_directphy_gts_x4_o_rx_parallel_data_o_rx_parallel_data,     //   intel_directphy_gts_x4_o_rx_parallel_data.o_rx_parallel_data
		input  wire [0:0]   intel_directphy_gts_x4_i_reconfig_clk_clk,                        //       intel_directphy_gts_x4_i_reconfig_clk.clk
		input  wire [0:0]   intel_directphy_gts_x4_i_reconfig_reset_reset,                    //     intel_directphy_gts_x4_i_reconfig_reset.reset
		input  wire [0:0]   intel_directphy_gts_x4_reconfig_write,                            //             intel_directphy_gts_x4_reconfig.write
		input  wire [0:0]   intel_directphy_gts_x4_reconfig_read,                             //                                            .read
		input  wire [19:0]  intel_directphy_gts_x4_reconfig_address,                          //                                            .address
		input  wire [3:0]   intel_directphy_gts_x4_reconfig_byteenable,                       //                                            .byteenable
		input  wire [31:0]  intel_directphy_gts_x4_reconfig_writedata,                        //                                            .writedata
		output wire [31:0]  intel_directphy_gts_x4_reconfig_readdata,                         //                                            .readdata
		output wire [0:0]   intel_directphy_gts_x4_reconfig_waitrequest,                      //                                            .waitrequest
		output wire [0:0]   intel_directphy_gts_x4_reconfig_readdatavalid,                    //                                            .readdatavalid
		output wire         intel_systemclk_gts_o_pll_lock_o_pll_lock,                        //              intel_systemclk_gts_o_pll_lock.o_pll_lock
		input  wire         intel_systemclk_gts_i_refclk_rdy_data                             //            intel_systemclk_gts_i_refclk_rdy.data
	);
endmodule

