
namespace eval ex_40g {
  proc get_design_libraries {} {
    set libraries [dict create]
    dict set libraries intel_adme_gts_100      1
    dict set libraries intel_directphy_gts_600 1
    dict set libraries pcs_hal_2100            1
    dict set libraries one_lane_hal_2100       1
    dict set libraries fec_hal_2100            1
    dict set libraries pldif_hal_2100          1
    dict set libraries phy_hal_2100            1
    dict set libraries hal_top_2100            1
    dict set libraries n_channel_superset_2100 1
    dict set libraries intel_eth_e40_400       1
    dict set libraries fifo_1930               1
    dict set libraries ex_40g                  1
    return $libraries
  }
  
  proc get_memory_files {QSYS_SIMDIR} {
    set memory_files [list]
    lappend memory_files "[normalize_path "$QSYS_SIMDIR/../n_channel_superset_2100/sim/SM_SRC_VLIW_MIF.mif"]"
    return $memory_files
  }
  
  proc get_common_design_files {USER_DEFINED_COMPILE_OPTIONS USER_DEFINED_VERILOG_COMPILE_OPTIONS USER_DEFINED_VHDL_COMPILE_OPTIONS QSYS_SIMDIR} {
    set design_files [dict create]
    return $design_files
  }
  
  proc get_design_files {USER_DEFINED_COMPILE_OPTIONS USER_DEFINED_VERILOG_COMPILE_OPTIONS USER_DEFINED_VHDL_COMPILE_OPTIONS QSYS_SIMDIR} {
    set design_files [list]
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_adme_gts_100/sim/ex_40g_intel_adme_gts_100_nznv47i.sv"]\"  -work intel_adme_gts_100"                                      
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_adme_gts_100/sim/alt_xcvr_avmm_arb.sv"]\"  -work intel_adme_gts_100"                                                      
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_adme_gts_100/sim/alt_xcvr_arbiter.sv"]\"  -work intel_adme_gts_100"                                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_directphy_gts_600/sim/ex_40g_intel_directphy_gts_intel_adme_gts_600_rjzlqdq.v"]\"  -work intel_directphy_gts_600"    
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../pcs_hal_2100/sim/ex_40g_pcs_hal_2100_6izzfwa.sv"]\"  -work pcs_hal_2100"                                                        
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../pcs_hal_2100/sim/ch4_pcs.sv"]\"  -work pcs_hal_2100"                                                                            
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../pcs_hal_2100/sim/pcs_hal_coreip.sv"]\"  -work pcs_hal_2100"                                                                     
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../one_lane_hal_2100/sim/ex_40g_one_lane_hal_pcs_hal_2100_3fqvx2y.v"]\"  -work one_lane_hal_2100"                             
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../fec_hal_2100/sim/ex_40g_fec_hal_2100_amks7lq.sv"]\"  -work fec_hal_2100"                                                        
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../fec_hal_2100/sim/ch4_fec.sv"]\"  -work fec_hal_2100"                                                                            
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../fec_hal_2100/sim/fec_hal_coreip.sv"]\"  -work fec_hal_2100"                                                                     
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../one_lane_hal_2100/sim/ex_40g_one_lane_hal_fec_hal_2100_m7nqhwi.v"]\"  -work one_lane_hal_2100"                             
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../pldif_hal_2100/sim/ex_40g_pldif_hal_2100_twzfbfi.sv"]\"  -work pldif_hal_2100"                                                  
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../pldif_hal_2100/sim/pldif_hal_coreip.sv"]\"  -work pldif_hal_2100"                                                               
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../pldif_hal_2100/sim/ch4_pldif.sv"]\"  -work pldif_hal_2100"                                                                      
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../pldif_hal_2100/sim/ch4_pldif_no_deskew.sv"]\"  -work pldif_hal_2100"                                                            
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../pldif_hal_2100/sim/pldif_staticmux.sv"]\"  -work pldif_hal_2100"                                                                
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../one_lane_hal_2100/sim/ex_40g_one_lane_hal_pldif_hal_2100_csqpiea.v"]\"  -work one_lane_hal_2100"                           
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../phy_hal_2100/sim/ex_40g_phy_hal_2100_fyan4oq.sv"]\"  -work phy_hal_2100"                                                        
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../phy_hal_2100/sim/phy_staticmux.sv"]\"  -work phy_hal_2100"                                                                      
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../phy_hal_2100/sim/phy_hal_coreip.sv"]\"  -work phy_hal_2100"                                                                     
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../phy_hal_2100/sim/ch4_phy.sv"]\"  -work phy_hal_2100"                                                                            
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../one_lane_hal_2100/sim/ex_40g_one_lane_hal_phy_hal_2100_ce3slsy.v"]\"  -work one_lane_hal_2100"                             
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../one_lane_hal_2100/sim/ex_40g_one_lane_hal_2100_gnayqmi.sv"]\"  -work one_lane_hal_2100"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../hal_top_2100/sim/ex_40g_hal_top_one_lane_hal_2100_5qlivtq.v"]\"  -work hal_top_2100"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../one_lane_hal_2100/sim/ex_40g_one_lane_hal_pcs_hal_2100_3fqvx2y.v"]\"  -work one_lane_hal_2100"                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../one_lane_hal_2100/sim/ex_40g_one_lane_hal_fec_hal_2100_m7nqhwi.v"]\"  -work one_lane_hal_2100"                             
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../pldif_hal_2100/sim/ex_40g_pldif_hal_2100_s5cmmdi.sv"]\"  -work pldif_hal_2100"                                                  
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../pldif_hal_2100/sim/pldif_hal_coreip.sv"]\"  -work pldif_hal_2100"                                                               
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../pldif_hal_2100/sim/ch4_pldif.sv"]\"  -work pldif_hal_2100"                                                                      
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../pldif_hal_2100/sim/ch4_pldif_no_deskew.sv"]\"  -work pldif_hal_2100"                                                            
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../pldif_hal_2100/sim/pldif_staticmux.sv"]\"  -work pldif_hal_2100"                                                                
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../one_lane_hal_2100/sim/ex_40g_one_lane_hal_pldif_hal_2100_pgjt4fa.v"]\"  -work one_lane_hal_2100"                           
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../phy_hal_2100/sim/ex_40g_phy_hal_2100_bawcf6y.sv"]\"  -work phy_hal_2100"                                                        
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../phy_hal_2100/sim/phy_staticmux.sv"]\"  -work phy_hal_2100"                                                                      
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../phy_hal_2100/sim/phy_hal_coreip.sv"]\"  -work phy_hal_2100"                                                                     
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../phy_hal_2100/sim/ch4_phy.sv"]\"  -work phy_hal_2100"                                                                            
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../one_lane_hal_2100/sim/ex_40g_one_lane_hal_phy_hal_2100_izdvumq.v"]\"  -work one_lane_hal_2100"                             
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../one_lane_hal_2100/sim/ex_40g_one_lane_hal_2100_zibmary.sv"]\"  -work one_lane_hal_2100"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../hal_top_2100/sim/ex_40g_hal_top_one_lane_hal_2100_cvk4foa.v"]\"  -work hal_top_2100"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../one_lane_hal_2100/sim/ex_40g_one_lane_hal_pcs_hal_2100_3fqvx2y.v"]\"  -work one_lane_hal_2100"                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../one_lane_hal_2100/sim/ex_40g_one_lane_hal_fec_hal_2100_m7nqhwi.v"]\"  -work one_lane_hal_2100"                             
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../pldif_hal_2100/sim/ex_40g_pldif_hal_2100_7rr7xzi.sv"]\"  -work pldif_hal_2100"                                                  
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../pldif_hal_2100/sim/pldif_hal_coreip.sv"]\"  -work pldif_hal_2100"                                                               
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../pldif_hal_2100/sim/ch4_pldif.sv"]\"  -work pldif_hal_2100"                                                                      
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../pldif_hal_2100/sim/ch4_pldif_no_deskew.sv"]\"  -work pldif_hal_2100"                                                            
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../pldif_hal_2100/sim/pldif_staticmux.sv"]\"  -work pldif_hal_2100"                                                                
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../one_lane_hal_2100/sim/ex_40g_one_lane_hal_pldif_hal_2100_ck2ah7a.v"]\"  -work one_lane_hal_2100"                           
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../phy_hal_2100/sim/ex_40g_phy_hal_2100_cyk43za.sv"]\"  -work phy_hal_2100"                                                        
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../phy_hal_2100/sim/phy_staticmux.sv"]\"  -work phy_hal_2100"                                                                      
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../phy_hal_2100/sim/phy_hal_coreip.sv"]\"  -work phy_hal_2100"                                                                     
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../phy_hal_2100/sim/ch4_phy.sv"]\"  -work phy_hal_2100"                                                                            
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../one_lane_hal_2100/sim/ex_40g_one_lane_hal_phy_hal_2100_lb7lkli.v"]\"  -work one_lane_hal_2100"                             
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../one_lane_hal_2100/sim/ex_40g_one_lane_hal_2100_yhdbrxi.sv"]\"  -work one_lane_hal_2100"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../hal_top_2100/sim/ex_40g_hal_top_one_lane_hal_2100_d2iruiq.v"]\"  -work hal_top_2100"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../one_lane_hal_2100/sim/ex_40g_one_lane_hal_pcs_hal_2100_3fqvx2y.v"]\"  -work one_lane_hal_2100"                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../one_lane_hal_2100/sim/ex_40g_one_lane_hal_fec_hal_2100_m7nqhwi.v"]\"  -work one_lane_hal_2100"                             
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../pldif_hal_2100/sim/ex_40g_pldif_hal_2100_nlzc5va.sv"]\"  -work pldif_hal_2100"                                                  
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../pldif_hal_2100/sim/pldif_hal_coreip.sv"]\"  -work pldif_hal_2100"                                                               
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../pldif_hal_2100/sim/ch4_pldif.sv"]\"  -work pldif_hal_2100"                                                                      
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../pldif_hal_2100/sim/ch4_pldif_no_deskew.sv"]\"  -work pldif_hal_2100"                                                            
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../pldif_hal_2100/sim/pldif_staticmux.sv"]\"  -work pldif_hal_2100"                                                                
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../one_lane_hal_2100/sim/ex_40g_one_lane_hal_pldif_hal_2100_kqfwffy.v"]\"  -work one_lane_hal_2100"                           
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../phy_hal_2100/sim/ex_40g_phy_hal_2100_dqbgr3q.sv"]\"  -work phy_hal_2100"                                                        
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../phy_hal_2100/sim/phy_staticmux.sv"]\"  -work phy_hal_2100"                                                                      
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../phy_hal_2100/sim/phy_hal_coreip.sv"]\"  -work phy_hal_2100"                                                                     
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../phy_hal_2100/sim/ch4_phy.sv"]\"  -work phy_hal_2100"                                                                            
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../one_lane_hal_2100/sim/ex_40g_one_lane_hal_phy_hal_2100_kjurajy.v"]\"  -work one_lane_hal_2100"                             
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../one_lane_hal_2100/sim/ex_40g_one_lane_hal_2100_hccvbky.sv"]\"  -work one_lane_hal_2100"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../hal_top_2100/sim/ex_40g_hal_top_one_lane_hal_2100_47jfeva.v"]\"  -work hal_top_2100"                                       
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../hal_top_2100/sim/ex_40g_hal_top_2100_b6i7iqy.sv"]\"  -work hal_top_2100"                                                        
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../hal_top_2100/sim/hip_sip_boundary_b6i7iqy.sv"]\"  -work hal_top_2100"                                                           
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../hal_top_2100/sim/shared_ptp.sv"]\"  -work hal_top_2100"                                                                         
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../hal_top_2100/sim/mc.sv"]\"  -work hal_top_2100"                                                                                 
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../hal_top_2100/sim/shared_hal_coreip.v"]\"  -work hal_top_2100"                                                              
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../hal_top_2100/sim/chptp.sv"]\"  -work hal_top_2100"                                                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../n_channel_superset_2100/sim/ex_40g_n_channel_superset_hal_top_2100_2t43pqy.v"]\"  -work n_channel_superset_2100"           
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../n_channel_superset_2100/sim/ex_40g_n_channel_superset_2100_ar5sjdy.sv"]\"  -work n_channel_superset_2100"                       
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../n_channel_superset_2100/sim/intelfpga/ncss_avmm_decoder.sv"]\"  -work n_channel_superset_2100"                                  
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../n_channel_superset_2100/sim/intelfpga/ncss_common_ptp_top.sv"]\"  -work n_channel_superset_2100"                                
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../n_channel_superset_2100/sim/intelfpga/intel_src_addr_gen.sv"]\"  -work n_channel_superset_2100"                                 
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../n_channel_superset_2100/sim/intelfpga/intel_src_csr.sv"]\"  -work n_channel_superset_2100"                                      
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../n_channel_superset_2100/sim/intelfpga/intel_src_flow_ctrl.sv"]\"  -work n_channel_superset_2100"                                
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../n_channel_superset_2100/sim/intelfpga/intel_src_lane.sv"]\"  -work n_channel_superset_2100"                                     
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../n_channel_superset_2100/sim/intelfpga/intel_src_lane2lane.sv"]\"  -work n_channel_superset_2100"                                
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../n_channel_superset_2100/sim/intelfpga/intel_src_lane_rst_sequence_fsm.sv"]\"  -work n_channel_superset_2100"                    
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../n_channel_superset_2100/sim/intelfpga/intel_src_lane_wrapper.sv"]\"  -work n_channel_superset_2100"                             
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../n_channel_superset_2100/sim/intelfpga/intel_src_monitor.sv"]\"  -work n_channel_superset_2100"                                  
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../n_channel_superset_2100/sim/intelfpga/intel_src_stagger_block.sv"]\"  -work n_channel_superset_2100"                            
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../n_channel_superset_2100/sim/intelfpga/intel_src_synchronizers.sv"]\"  -work n_channel_superset_2100"                            
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../n_channel_superset_2100/sim/intelfpga/sopc_synchronizer.v"]\"  -work n_channel_superset_2100"                              
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../n_channel_superset_2100/sim/intelfpga/tennm_sm_hssi_pld_chnl_dp_sip_atom.sv"]\"  -work n_channel_superset_2100"                 
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../n_channel_superset_2100/sim/intelfpga/tennm_sm_hssi_pld_chnl_dp_sip_atom_lavmm_arbiter.sv"]\"  -work n_channel_superset_2100"   
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../n_channel_superset_2100/sim/intelfpga/tennm_sm_hssi_pld_chnl_dp_sip_atom_mux_arbiter.sv"]\"  -work n_channel_superset_2100"     
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../n_channel_superset_2100/sim/intelfpga/tennm_sm_hssi_pld_chnl_dp_sip_atom_mux_rx.sv"]\"  -work n_channel_superset_2100"          
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../n_channel_superset_2100/sim/intelfpga/tennm_sm_hssi_pld_chnl_dp_sip_atom_mux_tx.sv"]\"  -work n_channel_superset_2100"          
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../n_channel_superset_2100/sim/intelfpga/tennm_sm_hssi_pld_chnl_dp_sip_atom_mux_tx_rx.sv"]\"  -work n_channel_superset_2100"       
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../n_channel_superset_2100/sim/intelfpga/tennm_sm_hssi.std_func.sv"]\"  -work n_channel_superset_2100"                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_directphy_gts_600/sim/ex_40g_intel_directphy_gts_n_channel_superset_600_mcqkwuy.v"]\"  -work intel_directphy_gts_600"
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_directphy_gts_600/sim/sip_async_mapping.sv"]\"  -work intel_directphy_gts_600"                                            
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_directphy_gts_600/sim/intel_directphy_avmm.sv"]\"  -work intel_directphy_gts_600"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_directphy_gts_600/sim/intel_directphy_csr_wrap.v"]\"  -work intel_directphy_gts_600"                                 
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_directphy_gts_600/sim/dphy_ccg.v"]\"  -work intel_directphy_gts_600"                                                 
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_directphy_gts_600/sim/directphy_gray_cntr_3.v"]\"  -work intel_directphy_gts_600"                                    
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_directphy_gts_600/sim/directphy_gray_cntr_5_sl.v"]\"  -work intel_directphy_gts_600"                                 
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_directphy_gts_600/sim/dphy_gts_std_synchronizer_nocut.v"]\"  -work intel_directphy_gts_600"                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_directphy_gts_600/sim/directphy_eq_5_ena.v"]\"  -work intel_directphy_gts_600"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_directphy_gts_600/sim/directphy_neq_5_ena.v"]\"  -work intel_directphy_gts_600"                                      
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_directphy_gts_600/sim/directphy_wys_lut.v"]\"  -work intel_directphy_gts_600"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_directphy_gts_600/sim/intel_directphy_sip_csr.v"]\"  -work intel_directphy_gts_600"                                  
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_directphy_gts_600/sim/dphy_tx_dsk_gen.sv"]\"  -work intel_directphy_gts_600"                                              
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_directphy_gts_600/sim/directphy_rx_deskew.sv"]\"  -work intel_directphy_gts_600"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_directphy_gts_600/sim/directphy_word_delay.v"]\"  -work intel_directphy_gts_600"                                     
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_directphy_gts_600/sim/directphy_mlab.v"]\"  -work intel_directphy_gts_600"                                                
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_directphy_gts_600/sim/dphy_gts_xcvr_resync_std.sv"]\"  -work intel_directphy_gts_600"                                     
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_directphy_gts_600/sim/dphy_gts_data_sync.sv"]\"  -work intel_directphy_gts_600"                                           
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_directphy_gts_600/sim/alt_xcvr_resync_etile.sv"]\"  -work intel_directphy_gts_600"                                        
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_directphy_gts_600/sim/altera_std_synchronizer_nocut_etile.v"]\"  -work intel_directphy_gts_600"                           
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_directphy_gts_600/sim/ex_40g_intel_directphy_gts_600_amridji.sv"]\"  -work intel_directphy_gts_600"                       
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_directphy_gts_600/sim/ex_40g_intel_directphy_gts_600_amridji_sip.sv"]\"  -work intel_directphy_gts_600"                   
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/ex_40g_intel_eth_e40_intel_directphy_gts_400_fevopgi.v"]\"  -work intel_eth_e40_400"                 
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../fifo_1930/sim/ex_40g_fifo_1930_tleknvi.v"]\"  -work fifo_1930"                                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/fifo_dc.v"]\"  -work intel_eth_e40_400"                                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/ex_40g_intel_eth_e40_400_4zmad5a.v"]\"  -work intel_eth_e40_400"                                     
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/alt_e40_pma_4zmad5a.v"]\"  -work intel_eth_e40_400"                                                  
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/alt_e40_core_4zmad5a.v"]\"  -work intel_eth_e40_400"                                                 
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_adapter.v"]\"  -work intel_eth_e40_400"                                            
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_wide_l2if_rx_mux.v"]\"  -work intel_eth_e40_400"                                   
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_wide_l2if_tx.v"]\"  -work intel_eth_e40_400"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mac_csr.v"]\"  -work intel_eth_e40_400"                                            
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_phy_config_register_map.v"]\"  -work intel_eth_e40_400"                            
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_phy_csr.v"]\"  -work intel_eth_e40_400"                                            
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_rx_fc_config_register_map.v"]\"  -work intel_eth_e40_400"                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_rx_mac_config_register_map.v"]\"  -work intel_eth_e40_400"                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_tx_fc_config_register_map.v"]\"  -work intel_eth_e40_400"                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_tx_mac_config_register_map.v"]\"  -work intel_eth_e40_400"                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_fc_top.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_rx_fc.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_tx_fc.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_tx_fc_frame_muxer.v"]\"  -work intel_eth_e40_400"                                  
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_emac_r.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_emac_t.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mac.v"]\"  -work intel_eth_e40_400"                                                
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mac_link_fault_det.v"]\"  -work intel_eth_e40_400"                                 
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mac_link_fault_gen.v"]\"  -work intel_eth_e40_400"                                 
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mac_tx.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mt_frame_gen.v"]\"  -work intel_eth_e40_400"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mt_gap.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mt_ins.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mt_padding.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mt_preamble.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_block_distributor.v"]\"  -work intel_eth_e40_400"                                  
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_pcs.v"]\"  -work intel_eth_e40_400"                                                
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_pcs_rx.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_pcs_tx.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_jtag_avmm.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_add6t1.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_addc1h1t1.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_addc2h0t1.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_addc2h1t1.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_addc3h2t1.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_addc3h3t1.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_addc3h4t1.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_addc3h5t1.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_addc4h6t1.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_addc5h10t1.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_addc5h11t1.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_adder.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_alignmon32768e8.v"]\"  -work intel_eth_e40_400"                                    
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_alignmon512e8.v"]\"  -work intel_eth_e40_400"                                      
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_altera_std_synchronizer_nocut.v"]\"  -work intel_eth_e40_400"                      
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_and11t2.v"]\"  -work intel_eth_e40_400"                                            
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_and2t0.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_and2t1.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_and3t0.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_and3t1.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_and4t0.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_and4t1.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_and5t0.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_and5t1.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_and6t0.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_and6t1.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_and8t2.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_and9t2.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_avmm_combine.v"]\"  -work intel_eth_e40_400"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_cnt10c.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_cnt10_valid.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_cnt2c.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_cnt3c.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_cnt4c.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_cnt5.v"]\"  -work intel_eth_e40_400"                                               
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_cnt5c.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_cnt6.v"]\"  -work intel_eth_e40_400"                                               
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_cnt6c.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_cnt6cd.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_cnt6i.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_cnt6ic.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_cnt7c.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_cnt8ci.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_compressor_4to3.v"]\"  -work intel_eth_e40_400"                                    
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_crc32_acc_2_t2.v"]\"  -work intel_eth_e40_400"                                     
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_crc32_da_2_t6.v"]\"  -work intel_eth_e40_400"                                      
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_crc32_f_2_t15.v"]\"  -work intel_eth_e40_400"                                      
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_crc32_rba_t6.v"]\"  -work intel_eth_e40_400"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_crc32_rb_1_t2.v"]\"  -work intel_eth_e40_400"                                      
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_crc32_rb_2_t2.v"]\"  -work intel_eth_e40_400"                                      
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_crc32_rb_4_t2.v"]\"  -work intel_eth_e40_400"                                      
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_crc32_s64_t2.v"]\"  -work intel_eth_e40_400"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_crc32_w_2_t9.v"]\"  -work intel_eth_e40_400"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_crc32_z64_1_t2.v"]\"  -work intel_eth_e40_400"                                     
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_crc32_z64_2_t2.v"]\"  -work intel_eth_e40_400"                                     
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_crccmp33w1t3.v"]\"  -work intel_eth_e40_400"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_crccmp33w2t3.v"]\"  -work intel_eth_e40_400"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_crcpt.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_dec4t1.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay13w32c.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay13w64.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay13w64c.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay13w8c.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay16w1.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay18w2.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay18w64c.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay19w2.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay19w64.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay1w1.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay1w4.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay29w1.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay2w1.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay2w2.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay2w34.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay2w4.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay2w5.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay2w9.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay3w1.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay3w34c.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay3w64c.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay4w1.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay4w2.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay4w64c.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay5w2.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay6w1.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay6w11c.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay6w64c.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay7w44c.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay8w1.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay9w6c.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_delay_reg.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_descram128.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_dip8_32.v"]\"  -work intel_eth_e40_400"                                            
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_ebip2.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_ecrcins.v"]\"  -work intel_eth_e40_400"                                            
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_edesk4.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_epcs_rxg.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eq20t3.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eq2t0.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eq2t1.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eq33t3.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eq3t0.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eq3t1.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eq4t1.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eq9t2.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eqc15h7cfbt2.v"]\"  -work intel_eth_e40_400"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eqc15h7fe8t2.v"]\"  -work intel_eth_e40_400"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eqc15h7ffbt2.v"]\"  -work intel_eth_e40_400"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eqc19h4e1fbt2.v"]\"  -work intel_eth_e40_400"                                      
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eqc4h0t1.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eqc4h5t1.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eqc4h9t1.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eqc4hft1.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eqc5h07t1.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eqc5h08t1.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eqc5h0dt1.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eqc5h0ft1.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eqc5h18t1.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eqc5h1bt1.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eqc5h1dt1.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eqc5h1ft1.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eqc8h00t2.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eqc9h0d5t2.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eqc9h1e8t2.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eqc9h1fbt2.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eqc9h1fdt2.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_eq_10_const.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_etag2_20_22.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_etag2_21_23.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_etagid.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_etagro4.v"]\"  -work intel_eth_e40_400"                                            
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_ethdec.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_extended_stats_vector.v"]\"  -work intel_eth_e40_400"                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_fd07ins.v"]\"  -work intel_eth_e40_400"                                            
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_flagover2t2.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_fmon8.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_frame_1024to1518b.v"]\"  -work intel_eth_e40_400"                                  
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_frame_128to255b.v"]\"  -work intel_eth_e40_400"                                    
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_frame_1519tomax.v"]\"  -work intel_eth_e40_400"                                    
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_frame_256to511b.v"]\"  -work intel_eth_e40_400"                                    
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_frame_512to1023b.v"]\"  -work intel_eth_e40_400"                                   
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_frame_64b.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_frame_65to127b.v"]\"  -work intel_eth_e40_400"                                     
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_frmwatch.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_gte_with_const_16b.v"]\"  -work intel_eth_e40_400"                                 
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_hw_reg.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_inpkt2t1.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_locklag5.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_lte.v"]\"  -work intel_eth_e40_400"                                                
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_lte_with_const_16b.v"]\"  -work intel_eth_e40_400"                                 
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_metronome1280.v"]\"  -work intel_eth_e40_400"                                      
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_metronome32000.v"]\"  -work intel_eth_e40_400"                                     
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_metronome320000.v"]\"  -work intel_eth_e40_400"                                    
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_metronome32768.v"]\"  -work intel_eth_e40_400"                                     
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_metronome512.v"]\"  -work intel_eth_e40_400"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_metronome81920.v"]\"  -work intel_eth_e40_400"                                     
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mlab11a3r1w1.v"]\"  -work intel_eth_e40_400"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mlab16a1r1w1.v"]\"  -work intel_eth_e40_400"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mlab2a5r1w1.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mlab32a4r1w1.v"]\"  -work intel_eth_e40_400"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mlab34a2r1w1.v"]\"  -work intel_eth_e40_400"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mlab44a3r1w1.v"]\"  -work intel_eth_e40_400"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mlab64a2r1w1.v"]\"  -work intel_eth_e40_400"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mlab64a3r1w1.v"]\"  -work intel_eth_e40_400"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mlab64a4r1w1.v"]\"  -work intel_eth_e40_400"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mlab64a5r1w1.v"]\"  -work intel_eth_e40_400"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mlab69a5r1w1.v"]\"  -work intel_eth_e40_400"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mlab6a3r1w1.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mlab8a4r1w1.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mlab_32word_32bit.v"]\"  -work intel_eth_e40_400"                                  
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mtywipe.v"]\"  -work intel_eth_e40_400"                                            
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mtywipe_comb.v"]\"  -work intel_eth_e40_400"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w1t0s0.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w1t0s1.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w1t0s2.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w1t1s2.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w2t0s0.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w2t0s1.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w2t1s1.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w32t0s0.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w32t0s1.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w32t0s2.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w32t1s2.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w40t0s0.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w40t0s1.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w40t1s1.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w56t0s0.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w56t1s0.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w66t0s0.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w66t0s1.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w66t1s1.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w7t0s0.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w7t0s1.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w7t1s1.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w8t0s0.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w8t1s0.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w8t2s0.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w9t0s0.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w9t0s1.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux2w9t1s1.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux4w1t0s0.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux4w3t0s0.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux4w3t0s1.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux4w3t1s1.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux4w66t0s0.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux4w66t0s1.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux4w66t1s1.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux4w8t0s0.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux4w8t1s0.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux4w8t2s0.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux4w9t0s0.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux4w9t1s0.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mux8w9t2s0.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mx16r.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mx4r.v"]\"  -work intel_eth_e40_400"                                               
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_octets_ok.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_ohbin4.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_ohbin8.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_opp25t3.v"]\"  -work intel_eth_e40_400"                                            
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_opp2t0.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_opp2t1.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_opp32t3.v"]\"  -work intel_eth_e40_400"                                            
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_opp3t0.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_opp3t1.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_or16t2.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_or1t0.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_or1t1.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_or1t2.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_or2t0.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_or2t1.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_or2t2.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_or4t0.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_or4t1.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_or8t2.v"]\"  -work intel_eth_e40_400"                                              
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_pcs_ber.v"]\"  -work intel_eth_e40_400"                                            
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_pcs_ber_cnt_ns.v"]\"  -work intel_eth_e40_400"                                     
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_pcs_ber_sm.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_pcs_encoder.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_perminv4.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_pipeline_adder_16b.v"]\"  -work intel_eth_e40_400"                                 
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_pulse128.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_pulse16.v"]\"  -work intel_eth_e40_400"                                            
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_pulse2.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_pulse64.v"]\"  -work intel_eth_e40_400"                                            
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_pulse_stretcher.v"]\"  -work intel_eth_e40_400"                                    
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_pulse_transfer.v"]\"  -work intel_eth_e40_400"                                     
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_readmii2.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_ready_skid.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_reset_synchronizer.v"]\"  -work intel_eth_e40_400"                                 
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_ripple16.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_scfifo_mlab.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_scram128.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_shr88s3h8.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_stats_counters.v"]\"  -work intel_eth_e40_400"                                     
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_status_sync.v"]\"  -work intel_eth_e40_400"                                        
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_stat_ram_16x64b.v"]\"  -work intel_eth_e40_400"                                    
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_subc2h0t1.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_subc2h2t1.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_subc3h3t1.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_subc3h4t1.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_subc3h6t1.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_subc4hat1.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_subc5h0ft1.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_subc5h10t1.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_sv.v"]\"  -work intel_eth_e40_400"                                                 
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_sync16m.v"]\"  -work intel_eth_e40_400"                                            
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_sync1r1.v"]\"  -work intel_eth_e40_400"                                            
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_sync1r2.v"]\"  -work intel_eth_e40_400"                                            
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_sync2r2.v"]\"  -work intel_eth_e40_400"                                            
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_synchronizer.v"]\"  -work intel_eth_e40_400"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_sync_read.v"]\"  -work intel_eth_e40_400"                                          
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_sync_regs_m2.v"]\"  -work intel_eth_e40_400"                                       
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_twodel69.v"]\"  -work intel_eth_e40_400"                                           
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_tx_fc_arbiter_ctrl.v"]\"  -work intel_eth_e40_400"                                 
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_tx_fc_ctrl.v"]\"  -work intel_eth_e40_400"                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_tx_fc_onoff_ctrl.v"]\"  -work intel_eth_e40_400"                                   
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_tx_fc_pb_conv.v"]\"  -work intel_eth_e40_400"                                      
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_tx_fc_pb_timer.v"]\"  -work intel_eth_e40_400"                                     
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_wys_lut.v"]\"  -work intel_eth_e40_400"                                            
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_xor1t0.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_xor1t1.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_xor2t0.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_xor2t1.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_xor3t0.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_xor3t1.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_xor4t0.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_xor4t1.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_xor5t0.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_xor5t1.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_xor6t0.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_xor6t1.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_lut6.v"]\"  -work intel_eth_e40_400"                                               
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/intelfpga/alt_e40_mlab.sv"]\"  -work intel_eth_e40_400"                                                   
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/alt_e40_pll_recal.v"]\"  -work intel_eth_e40_400"                                                    
    lappend design_files "vlog  $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/alt_e40_rcfg_arb.sv"]\"  -work intel_eth_e40_400"                                                         
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../intel_eth_e40_400/sim/alt_e40_reset_controller.v"]\"  -work intel_eth_e40_400"                                             
    lappend design_files "vlog -v2k5 $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/ex_40g.v"]\"  -work ex_40g"                                                                                                   
    return $design_files
  }
  
  proc get_non_duplicate_elab_option {ELAB_OPTIONS NEW_ELAB_OPTION} {
    set IS_DUPLICATE [string first $NEW_ELAB_OPTION $ELAB_OPTIONS]
    if {$IS_DUPLICATE == -1} {
      return $NEW_ELAB_OPTION
    } else {
      return ""
    }
  }
  
  
  proc get_elab_options {SIMULATOR_TOOL_BITNESS} {
    set ELAB_OPTIONS ""
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ELAB_OPTIONS
  }
  
  
  proc get_sim_options {SIMULATOR_TOOL_BITNESS} {
    set SIM_OPTIONS ""
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $SIM_OPTIONS
  }
  
  
  proc get_env_variables {SIMULATOR_TOOL_BITNESS} {
    set ENV_VARIABLES [dict create]
    set LD_LIBRARY_PATH [dict create]
    dict set ENV_VARIABLES "LD_LIBRARY_PATH" $LD_LIBRARY_PATH
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ENV_VARIABLES
  }
  
  
  proc normalize_path {FILEPATH} {
      if {[catch { package require fileutil } err]} { 
          return $FILEPATH 
      } 
      set path [fileutil::lexnormalize [file join [pwd] $FILEPATH]]  
      if {[file pathtype $FILEPATH] eq "relative"} { 
          set path [fileutil::relative [pwd] $path] 
      } 
      return $path 
  } 
  proc get_dpi_libraries {QSYS_SIMDIR} {
    set libraries [dict create]
    
    return $libraries
  }
  
}
