// ex_40g.v

// Generated using ACDS version 24.3 212

`timescale 1 ps / 1 ps
module ex_40g (
		input  wire         clk_status,             //       status.clk_status,             This clock drives the control and status register
		input  wire         status_write,           //             .status_write,           When asserted, specifies a write request
		input  wire         status_read,            //             .status_read,            When asserted, specifies a read request
		input  wire [15:0]  status_addr,            //             .status_addr,            Specifies register address
		input  wire [31:0]  status_writedata,       //             .status_writedata,       Drives the write data
		output wire [31:0]  status_readdata,        //             .status_readdata,        Drives the read data
		output wire         status_readdata_valid,  //             .status_readdata_valid,  Specfies that data on status_readdata is valid
		output wire         status_waitrequest,     //             .status_waitrequest,     Indicates that the device is not ready to complete the transaction. The status_waitrequest signal is only used for read transactions.
		output wire         clk_txmac,              // avalon_st_tx.clk_txmac,              The TX clock for the IP core
		input  wire         l2_tx_startofpacket,    //             .l2_tx_startofpacket,    Start of packet
		input  wire         l2_tx_error,            //             .l2_tx_error,            A high on this signal aligned with a valid EOP indicates that the current packet needs to be treated as error packet
		input  wire         l2_tx_endofpacket,      //             .l2_tx_endofpacket,      End of packet
		input  wire         l2_tx_valid,            //             .l2_tx_valid,            Indicates l2_tx_data is valid
		output wire         l2_tx_ready,            //             .l2_tx_ready,            Indicates the MAC has accepted the data
		input  wire [3:0]   l2_tx_empty,            //             .l2_tx_empty,            Indicates the number of empty bytes when l2_tx_endofpacket is asserted
		input  wire [127:0] l2_tx_data,             //             .l2_tx_data,             Data Input to MAC
		output wire         clk_rxmac,              // avalon_st_rx.clk_rxmac,              Clock for the RX MAC. This is generated from the incoming data, and is an output from the coreThe TX clock for the IP core
		output wire [5:0]   l2_rx_error,            //             .l2_rx_error,            Received error indication. It is valid when l2_rx_endofpacket is high
		output wire         l2_rx_valid,            //             .l2_rx_valid,            Data on the bus is valid
		output wire         l2_rx_startofpacket,    //             .l2_rx_startofpacket,    First data byte of a frame
		output wire         l2_rx_endofpacket,      //             .l2_rx_endofpacket,      The last data byte of a frame, before the frame check sequence (FCS)
		output wire [3:0]   l2_rx_empty,            //             .l2_rx_empty,            Indicates how many bytes are empty bytes when l2_rx_endofpacket is asserted
		output wire [127:0] l2_rx_data,             //             .l2_rx_data,             Data Output from MAC
		output wire [3:0]   tx_serial_p,            // serial_lanes.tx_serial_p,            TX transceiver signal
		input  wire [3:0]   rx_serial_p,            //             .rx_serial_p,            RX transceiver signal
		output wire [3:0]   tx_serial_n,            //             .tx_serial_n,            Differential TX transceiver signal
		input  wire [3:0]   rx_serial_n,            //             .rx_serial_n,            Differential RX transceiver signals
		input  wire         reconfig_clk,           //     reconfig.reconfig_clk,           Reconfiguration clock
		input  wire         reconfig_reset,         //             .reconfig_reset,         Resets the Avalon memory-mapped interface and all of the registers to which it provides access
		input  wire         reconfig_write,         //             .reconfig_write,         Reconfiguration write request
		input  wire         reconfig_read,          //             .reconfig_read,          Reconfiguration read request
		input  wire [20:0]  reconfig_address,       //             .reconfig_address,       Reconfiguration address
		input  wire [31:0]  reconfig_writedata,     //             .reconfig_writedata,     A 32-bit data write bus. Reconfig_address specifies the address
		output wire [31:0]  reconfig_readdata,      //             .reconfig_readdata,      A 32-bit data read bus. Drives read data from the specified address. Signal is valid after reconfig_waitrequest is deasserted
		output wire         reconfig_waitrequest,   //             .reconfig_waitrequest,   Indicates the Avalon memory-mapped interface is busy
		output wire         reconfig_readdatavalid, //             .reconfig_readdatavalid, Reconfiguration readdata valid
		output wire         tx_lanes_stable,        //        other.tx_lanes_stable,        Asserted when TX lanes are stable and ready to transmit data
		output wire         rx_pcs_ready,           //             .rx_pcs_ready,           Asserted when the RX lanes are fully aligned and ready to receive data
		input  wire         clk_ref_p,              //             .clk_ref_p,              PLL reference clock
		input  wire         csr_rst_n,              //             .csr_rst_n,              Active low. Resets full IP. Includes transmit and receive MAC, PCS, adapters, transceivers, as well as configuration and status registers
		input  wire         tx_rst_n,               //             .tx_rst_n,               Resets TX PCS and MAC. Active low
		input  wire         rx_rst_n,               //             .rx_rst_n,               Resets RX PCS and MAC. Active low
		output wire         rx_block_lock,          //             .rx_block_lock,          Asserted when all lanes have identified 66 bit block boundaries in the serial data stream
		output wire         rx_am_lock,             //             .rx_am_lock,             Asserted when all lanes have identified alignment markers in the data stream
		input  wire         i_pma_cu_clk,           //             .i_pma_cu_clk,           Input from Shoreline SRC Sequence + Flux_S Clock IP to LL40G IP. It is one per QUAD feeding the FLUX uC in the Transceiver
		input  wire         i_system_pll_lock,      //             .i_system_pll_lock,      Indicates that Sys PLL is locked
		input  wire         i_system_pll_clk,       //             .i_system_pll_clk,       Syspll clk from sys_clk_IP
		input  wire [3:0]   i_src_rs_grant,         //             .i_src_rs_grant,         Ack from SRCSS to Base IP for reset grant
		output wire [3:0]   o_src_rs_req,           //             .o_src_rs_req,           Request from IP to SRCSS IP for reset exit
		output wire         csr_rst_ack_n,          //             .csr_rst_ack_n,          Reset ACK for csr reset. Active low
		output wire         tx_rst_ack_n,           //             .tx_rst_ack_n,           Reset ACK TX PCS and MAC. Active low
		output wire         rx_rst_ack_n,           //             .rx_rst_ack_n,           Reset ACK RX PCS and MAC. Active low
		output wire         rx_hi_ber,              //             .rx_hi_ber,              Asserted when RX PCS is in a High BER state
		output wire         l2_txstatus_valid,      //        stats.l2_txstatus_valid,      When asserted, this signal qualifies l2_txstatus_data and l2_txstatus_error
		output wire [39:0]  l2_txstatus_data,       //             .l2_txstatus_data,       Contains information about the transmit frame
		output wire [6:0]   l2_txstatus_error,      //             .l2_txstatus_error,      Indicates error in transmit frame
		output wire         l2_rxstatus_valid,      //             .l2_rxstatus_valid,      When asserted, this signal qualifies l2_rxstatus_data
		output wire [39:0]  l2_rxstatus_data        //             .l2_rxstatus_data,       Contains information about the Received frame
	);

	ex_40g_intel_eth_e40_400_4zmad5a #(
		.MODE                 (1),
		.TARGET_CHIP          (6),
		.SIM_SHORT_AM         (0),
		.SIM_BER_CYCLE_CNT    (39062),
		.SYNOPT_SYNC_E        (0),
		.enable_cdr_clkout    (0),
		.SYNOPT_TXCRC_INS     (1),
		.SYNOPT_LINK_FAULT    (0),
		.SYNOPT_PREAMBLE_PASS (0),
		.SYNOPT_MAC_STATS     (1),
		.SYNOPT_STRICT_SOP    (0),
		.SYNOPT_FLOW_CONTROL  (0),
		.SYNOPT_NUMPRIORITY   (1),
		.SYNOPT_READY_LATENCY (0),
		.ENABLE_JTAG_AVMM     (0),
		.PHY_REFCLK           (1),
		.SYNTH_AN             (0),
		.SYNTH_SEQ            (0),
		.LINK_TIMER_KR        (504),
		.AN_TECH              (8),
		.AN_CHAN              (1),
		.AN_PAUSE             (0),
		.SYNTH_LT             (0),
		.BERWIDTH             (9),
		.TRNWTWIDTH           (7),
		.USE_DEBUG_CPU        (0),
		.VMAXRULE             (30),
		.VMINRULE             (6),
		.VODMINRULE           (14),
		.VPOSTRULE            (25),
		.VPRERULE             (16),
		.PREMAINVAL           (30),
		.PREPOSTVAL           (0),
		.PREPREVAL            (0),
		.INITMAINVAL          (25),
		.INITPOSTVAL          (13),
		.INITPREVAL           (3),
		.SYNTH_FEC            (0),
		.CAPABLE_FEC          (0),
		.ENABLE_FEC           (0),
		.RX_PLL_TYPE          ("IOPLL")
	) intel_eth_e40_0 (
		.clk_status             (clk_status),                                                           //   input,    width = 1,       status.clk_status
		.status_write           (status_write),                                                         //   input,    width = 1,             .status_write
		.status_read            (status_read),                                                          //   input,    width = 1,             .status_read
		.status_addr            (status_addr),                                                          //   input,   width = 16,             .status_addr
		.status_writedata       (status_writedata),                                                     //   input,   width = 32,             .status_writedata
		.status_readdata        (status_readdata),                                                      //  output,   width = 32,             .status_readdata
		.status_readdata_valid  (status_readdata_valid),                                                //  output,    width = 1,             .status_readdata_valid
		.status_waitrequest     (status_waitrequest),                                                   //  output,    width = 1,             .status_waitrequest
		.clk_txmac              (clk_txmac),                                                            //  output,    width = 1, avalon_st_tx.clk_txmac
		.l2_tx_startofpacket    (l2_tx_startofpacket),                                                  //   input,    width = 1,             .l2_tx_startofpacket
		.l2_tx_error            (l2_tx_error),                                                          //   input,    width = 1,             .l2_tx_error
		.l2_tx_endofpacket      (l2_tx_endofpacket),                                                    //   input,    width = 1,             .l2_tx_endofpacket
		.l2_tx_valid            (l2_tx_valid),                                                          //   input,    width = 1,             .l2_tx_valid
		.l2_tx_ready            (l2_tx_ready),                                                          //  output,    width = 1,             .l2_tx_ready
		.l2_tx_empty            (l2_tx_empty),                                                          //   input,    width = 4,             .l2_tx_empty
		.l2_tx_data             (l2_tx_data),                                                           //   input,  width = 128,             .l2_tx_data
		.clk_rxmac              (clk_rxmac),                                                            //  output,    width = 1, avalon_st_rx.clk_rxmac
		.l2_rx_error            (l2_rx_error),                                                          //  output,    width = 6,             .l2_rx_error
		.l2_rx_valid            (l2_rx_valid),                                                          //  output,    width = 1,             .l2_rx_valid
		.l2_rx_startofpacket    (l2_rx_startofpacket),                                                  //  output,    width = 1,             .l2_rx_startofpacket
		.l2_rx_endofpacket      (l2_rx_endofpacket),                                                    //  output,    width = 1,             .l2_rx_endofpacket
		.l2_rx_empty            (l2_rx_empty),                                                          //  output,    width = 4,             .l2_rx_empty
		.l2_rx_data             (l2_rx_data),                                                           //  output,  width = 128,             .l2_rx_data
		.tx_serial_p            (tx_serial_p),                                                          //  output,    width = 4, serial_lanes.tx_serial_p
		.rx_serial_p            (rx_serial_p),                                                          //   input,    width = 4,             .rx_serial_p
		.tx_serial_n            (tx_serial_n),                                                          //  output,    width = 4,             .tx_serial_n
		.rx_serial_n            (rx_serial_n),                                                          //   input,    width = 4,             .rx_serial_n
		.reconfig_clk           (reconfig_clk),                                                         //   input,    width = 1,     reconfig.reconfig_clk
		.reconfig_reset         (reconfig_reset),                                                       //   input,    width = 1,             .reconfig_reset
		.reconfig_write         (reconfig_write),                                                       //   input,    width = 1,             .reconfig_write
		.reconfig_read          (reconfig_read),                                                        //   input,    width = 1,             .reconfig_read
		.reconfig_address       (reconfig_address),                                                     //   input,   width = 21,             .reconfig_address
		.reconfig_writedata     (reconfig_writedata),                                                   //   input,   width = 32,             .reconfig_writedata
		.reconfig_readdata      (reconfig_readdata),                                                    //  output,   width = 32,             .reconfig_readdata
		.reconfig_waitrequest   (reconfig_waitrequest),                                                 //  output,    width = 1,             .reconfig_waitrequest
		.reconfig_readdatavalid (reconfig_readdatavalid),                                               //  output,    width = 1,             .reconfig_readdatavalid
		.tx_lanes_stable        (tx_lanes_stable),                                                      //  output,    width = 1,        other.tx_lanes_stable
		.rx_pcs_ready           (rx_pcs_ready),                                                         //  output,    width = 1,             .rx_pcs_ready
		.clk_ref_p              (clk_ref_p),                                                            //   input,    width = 1,             .clk_ref_p
		.csr_rst_n              (csr_rst_n),                                                            //   input,    width = 1,             .csr_rst_n
		.tx_rst_n               (tx_rst_n),                                                             //   input,    width = 1,             .tx_rst_n
		.rx_rst_n               (rx_rst_n),                                                             //   input,    width = 1,             .rx_rst_n
		.rx_block_lock          (rx_block_lock),                                                        //  output,    width = 1,             .rx_block_lock
		.rx_am_lock             (rx_am_lock),                                                           //  output,    width = 1,             .rx_am_lock
		.i_pma_cu_clk           (i_pma_cu_clk),                                                         //   input,    width = 1,             .i_pma_cu_clk
		.i_system_pll_lock      (i_system_pll_lock),                                                    //   input,    width = 1,             .i_system_pll_lock
		.i_system_pll_clk       (i_system_pll_clk),                                                     //   input,    width = 1,             .i_system_pll_clk
		.i_src_rs_grant         (i_src_rs_grant),                                                       //   input,    width = 4,             .i_src_rs_grant
		.o_src_rs_req           (o_src_rs_req),                                                         //  output,    width = 4,             .o_src_rs_req
		.csr_rst_ack_n          (csr_rst_ack_n),                                                        //  output,    width = 1,             .csr_rst_ack_n
		.tx_rst_ack_n           (tx_rst_ack_n),                                                         //  output,    width = 1,             .tx_rst_ack_n
		.rx_rst_ack_n           (rx_rst_ack_n),                                                         //  output,    width = 1,             .rx_rst_ack_n
		.rx_hi_ber              (rx_hi_ber),                                                            //  output,    width = 1,             .rx_hi_ber
		.l2_txstatus_valid      (l2_txstatus_valid),                                                    //  output,    width = 1,        stats.l2_txstatus_valid
		.l2_txstatus_data       (l2_txstatus_data),                                                     //  output,   width = 40,             .l2_txstatus_data
		.l2_txstatus_error      (l2_txstatus_error),                                                    //  output,    width = 7,             .l2_txstatus_error
		.l2_rxstatus_valid      (l2_rxstatus_valid),                                                    //  output,    width = 1,             .l2_rxstatus_valid
		.l2_rxstatus_data       (l2_rxstatus_data),                                                     //  output,   width = 40,             .l2_rxstatus_data
		.l2_tx_preamble         (64'b0000000000000000000000000000000000000000000000000000000000000000), // (terminated),                            
		.l2_rx_preamble         (),                                                                     // (terminated),                            
		.clk_rx_recover         (),                                                                     // (terminated),                            
		.cdr_divclk             (),                                                                     // (terminated),                            
		.remote_fault_status    (),                                                                     // (terminated),                            
		.local_fault_status     (),                                                                     // (terminated),                            
		.pause_insert_tx0       (1'b0),                                                                 // (terminated),                            
		.pause_insert_tx1       (1'b0),                                                                 // (terminated),                            
		.pause_receive_rx       ()                                                                      // (terminated),                            
	);

endmodule
