// intel_srcss_sm.v

// Generated using ACDS version 24.3 212

`timescale 1 ps / 1 ps
module intel_srcss_sm (
		output wire [3:0] o_src_rs_grant,    //    o_src_rs_grant.src_rs_grant,    Grant from SRC_Shoreline_Sequencer to SRC_Lane, this will allow SRC_Lane to drive/toggle a reset
		input  wire [3:0] i_src_rs_priority, // i_src_rs_priority.src_rs_priority, Binary Priority Input(0 - Less priority and 1 - high Priority). The user will have to tie this input to '0' unless the request is from an IP which needs fast reconfigurations.
		input  wire [3:0] i_src_rs_req,      //      i_src_rs_req.src_rs_req,      Request from SRC_Lane to the SRC_Shoreline_Sequencer when it wants to toggle a reset
		output wire [0:0] o_pma_cu_clk       //      o_pma_cu_clk.clk,             PMA control unit clock output, 1 per quad of a shoreline. For example, SPLL is used for QHIP/s across quads then 1 output port to be connected to each quad input.
	);

	intel_srcss_sm_intel_srcss_gts_311_4twfgjq #(
		.SRC_RS_DISABLE      (0),
		.NUM_LANES_SHORELINE (4),
		.NUM_BANKS_SHORELINE (1)
	) intel_srcss_gts_0 (
		.o_src_rs_grant    (o_src_rs_grant),    //  output,  width = 4,    o_src_rs_grant.src_rs_grant
		.i_src_rs_priority (i_src_rs_priority), //   input,  width = 4, i_src_rs_priority.src_rs_priority
		.i_src_rs_req      (i_src_rs_req),      //   input,  width = 4,      i_src_rs_req.src_rs_req
		.o_pma_cu_clk      (o_pma_cu_clk)       //  output,  width = 1,      o_pma_cu_clk.clk
	);

endmodule
