# (C) 2001-2024 Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files from any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License Subscription 
# Agreement, Intel FPGA IP License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Intel and sold by 
# Intel or its authorized distributors.  Please refer to the applicable 
# agreement for further details.


# (C) 2001-2024 Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files from any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License Subscription 
# Agreement, Intel FPGA IP License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Intel and sold by 
# Intel or its authorized distributors.  Please refer to the applicable 
# agreement for further details.

source [file join [file dirname [info script]] "parameter.tcl"]
set lane_count 4
set SILB_ERROR 1

#To enable SILB
proc loop_on {} {

  global master_claim_path
  global lane_count
  global SILB_ERROR

  puts "-----------------------------------"
  puts "Asserting Reset"
  puts "-----------------------------------"
  eiosys_rst_on
  chkphy_status

  for {set i 0} {$i < $lane_count} {incr i} {
	
	puts "==================================="
        puts "     ENABLING SILB - LANE $i        "
        puts "==================================="
	
	set_silb $i

   }
   puts "-----------------------------------"
   puts "Releasing Reset"
   puts "-----------------------------------"
   #release_reset
   eiosys_rst_off

   set val [chk_SILB_status 1]
   if {$val == $lane_count} {set SILB_ERROR 0} {puts "------------- Failure on Enabling SILB ----------"}

}

#To disable SILB
proc loop_off {} {


  global master_claim_path
  global lane_count
  global SILB_ERROR

  puts "-----------------------------------"
  puts "Asserting Reset"
  puts "-----------------------------------"
  eiosys_rst_on
  chkphy_status

  for {set i 0} {$i < $lane_count} {incr i} {

	puts "==================================="
        puts "     DISABLING SILB - LANE $i        "
        puts "==================================="
	
	reset_silb $i
  }

  puts "Releasing Reset"
  eiosys_rst_off

  set val [chk_SILB_status 0]
  if {$val == $lane_count} {set SILB_ERROR 0} {puts "------------- Failure on Disabling SILB ----------"}

}
 

 proc set_silb {lane_n} {
   
   CPI_set_req $::SET_SILB($lane_n)
   CPI_reset_req $::RESET_SILB($lane_n)


 }

 proc reset_silb {lane_n} {

   CPI_set_req $::DIS_SET_SILB($lane_n)
   CPI_reset_req $::DIS_RESET_SILB($lane_n)

 }


 proc CPI_set_req {wdata} {
   
    
    reg_write_reco $::LINK_MNG_SIDE_CPI_REGS 0x0 $wdata 
    puts " 1. $wdata"  
    after 2000
    set val [reg_read_reco $::PHY_SIDE_CPI_REGS 0]
    puts " 2. $val"    
    
    after 2000
    set poll_15 [format "0x%06x" [expr [expr [reg_read_reco $::PHY_SIDE_CPI_REGS 0 ] & 0x8000] >> 15]]
    puts " 3. poll_15: $poll_15 "

    set poll_14 [format "0x%06x" [expr [expr [reg_read_reco $::PHY_SIDE_CPI_REGS 0 ] & 0x4000] >> 14]]
    puts " 4. poll_14 $poll_14 "

    set timeout 10
    set i 0
    while  1 {

	puts "Continue polling bit 14 and bit 15"
        set poll_15 [format "0x%06x" [expr [expr [reg_read_reco $::PHY_SIDE_CPI_REGS 0 ] & 0x8000] >> 15]]
	puts " 5. $poll_15"
        set poll_14 [format "0x%06x" [expr [expr [reg_read_reco $::PHY_SIDE_CPI_REGS 0 ] & 0x4000] >> 14]]
	puts " 6. $poll_14"

    if {$poll_15 == 0x1 && $poll_14 == 0x0}  {
	    puts "Polling Successfull Bit 15: $poll_15 , Bit 14: $poll_14"
	    break
    } elseif {($i >= $timeout) } {
            puts "Timeout Reached "
	    break
    
       }

       after 2000
       incr i
      } 

      }
 
 

 proc CPI_reset_req {wdata} {
    
    
    reg_write_reco $::LINK_MNG_SIDE_CPI_REGS $wdata 
    puts " 1. $wdata"  
    after 2000
    set val [reg_read_reco $::PHY_SIDE_CPI_REGS 0]
    puts " 2. $val"    
    after 2000 
    set poll_15 [format "0x%06x" [expr [expr [reg_read_reco $::PHY_SIDE_CPI_REGS 0 ] & 0x8000] >> 15]]
    puts " 3. poll_15: $poll_15 "

    set poll_14 [format "0x%06x" [expr [expr [reg_read_reco $::PHY_SIDE_CPI_REGS 0 ] & 0x4000] >> 14]]
    puts " 4. poll_14 $poll_14 "

    set timeout 100
    set i 0
    while  1 {

	puts "Continue polling bit 14 and bit 15 for reset"
        set poll_15 [format "0x%06x" [expr [expr [reg_read_reco $::PHY_SIDE_CPI_REGS 0 ] & 0x8000] >> 15]]
	puts " 5. $poll_15"
        set poll_14 [format "0x%06x" [expr [expr [reg_read_reco $::PHY_SIDE_CPI_REGS 0 ] & 0x4000] >> 14]]
	puts " 6. $poll_14"

    if {$poll_15 == 0x0 && $poll_14 == 0x0}  {
	    puts "Polling Successfull Bit 15: $poll_15 , Bit 14: $poll_14"
	    break
	  } elseif {($i >= $timeout) } {
            puts "Timeout Reached "
	    break
    
       }

       after 2000
       incr i
      } 

      }
 
proc chk_SILB_status {en} {
 
    
   global master_claim_path
   global lane_count
   set i 0
   set j 0
   
   for {set count 0} {$count<$lane_count} {incr count} {
 
      	set lpbk_status [master_read_32 $master_claim_path $::IP_IF_Flex_reg($count) 1]
 
	if {$lpbk_status == 0x00000002} {
                puts "Serial loopback on Lane# $count is enabled \n"
		incr i
            } else {
                puts "Serial loopback on Lane# $count is disabled \n"
		incr j
         }

   }
	 if {$en == 1} {return $i} {return $j}
}
 
